from django.urls import path

from jobs.views import (
    GlobalJobEventsAPIView,
    JobDetailAPIView,
    JobEventsAPIView,
    JobListCreateAPIView,
    JobStatsAPIView,
    RetryJobAPIView,
)

urlpatterns = [
    path("jobs/", JobListCreateAPIView.as_view(), name="jobs"),
    path("jobs/stats/", JobStatsAPIView.as_view(), name="job-stats"),
    path("jobs/<uuid:pk>/", JobDetailAPIView.as_view(), name="job-detail"),
    path("jobs/<uuid:pk>/events/", JobEventsAPIView.as_view(), name="job-events"),
    path("jobs/<uuid:pk>/retry/", RetryJobAPIView.as_view(), name="job-retry"),
    path("job-events/", GlobalJobEventsAPIView.as_view(), name="global-job-events"),
]
